OpenCV: cv::cuda::FGDParams Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | Public Attributes | List of all members
cv::cuda::FGDParams Struct Reference
Core functionality » OpenGL interoperability » CUDA-accelerated Computer Vision » Legacy support

`#include "cudalegacy.hpp"`

## Public Member Functions
| FGDParams ()
| default Params More...

## Public Attributes
float | alpha1
| How quickly we forget old background pixel values seen. Typically set to 0.1. More...
float | alpha2
| "Controls speed of feature learning". Depends on T. Typical value circa 0.005. More...
float | alpha3
| Alternate to alpha2, used (e.g.) for quicker initial convergence. Typical value 0.1. More...
float | delta
| Affects color and color co-occurrence quantization, typically set to 2. More...
bool | is_obj_without_holes
| If TRUE we ignore holes within foreground blobs. Defaults to TRUE. More...
int | Lc
| Quantized levels per 'color' component. Power of two, typically 32, 64 or 128. More...
int | Lcc
| Quantized levels per 'color co-occurrence' component. Power of two, typically 16, 32 or 64. More...
float | minArea
| Discard foreground blobs whose bounding box is smaller than this threshold. More...
int | N1c
| Number of color vectors used to model normal background color variation at a given pixel. More...
int | N1cc
| Number of color co-occurrence vectors used to model normal background color variation at a given pixel. More...
int | N2c
| Used to allow the first N1c vectors to adapt over time to changing background. More...
int | N2cc
| Used to allow the first N1cc vectors to adapt over time to changing background. More...
int | perform_morphing
| These erase one-pixel junk blobs and merge almost-touching blobs. Default value is 1. More...
float | T
| A percentage value which determines when new features can be recognized as new background. (Typically 0.9). More...

## Constructor & Destructor Documentation

## ◆ FGDParams()

cv::cuda::FGDParams::FGDParams | ( |  | ) |

default Params

## Member Data Documentation

## ◆ alpha1

float cv::cuda::FGDParams::alpha1

How quickly we forget old background pixel values seen. Typically set to 0.1.

## ◆ alpha2

float cv::cuda::FGDParams::alpha2

"Controls speed of feature learning". Depends on T. Typical value circa 0.005.

## ◆ alpha3

float cv::cuda::FGDParams::alpha3

Alternate to alpha2, used (e.g.) for quicker initial convergence. Typical value 0.1.

## ◆ delta

float cv::cuda::FGDParams::delta

Affects color and color co-occurrence quantization, typically set to 2.

## ◆ is_obj_without_holes

bool cv::cuda::FGDParams::is_obj_without_holes

If TRUE we ignore holes within foreground blobs. Defaults to TRUE.

## ◆ Lc

int cv::cuda::FGDParams::Lc

Quantized levels per 'color' component. Power of two, typically 32, 64 or 128.

## ◆ Lcc

int cv::cuda::FGDParams::Lcc

Quantized levels per 'color co-occurrence' component. Power of two, typically 16, 32 or 64.

## ◆ minArea

float cv::cuda::FGDParams::minArea

Discard foreground blobs whose bounding box is smaller than this threshold.

## ◆ N1c

int cv::cuda::FGDParams::N1c

Number of color vectors used to model normal background color variation at a given pixel.

## ◆ N1cc

int cv::cuda::FGDParams::N1cc

Number of color co-occurrence vectors used to model normal background color variation at a given pixel.

## ◆ N2c

int cv::cuda::FGDParams::N2c

Used to allow the first N1c vectors to adapt over time to changing background.

Number of color vectors retained at given pixel. Must be > N1c, typically ~ 5/3 of N1c.

## ◆ N2cc

int cv::cuda::FGDParams::N2cc

Used to allow the first N1cc vectors to adapt over time to changing background.

Number of color co-occurrence vectors retained at given pixel. Must be > N1cc, typically ~ 5/3 of N1cc.

## ◆ perform_morphing

int cv::cuda::FGDParams::perform_morphing

These erase one-pixel junk blobs and merge almost-touching blobs. Default value is 1.

Number of erode-dilate-erode foreground-blob cleanup iterations.

## ◆ T

float cv::cuda::FGDParams::T

A percentage value which determines when new features can be recognized as new background. (Typically 0.9).

The documentation for this struct was generated from the following file:

- cudalegacy/include/opencv2/cudalegacy.hpp